;	--	Preliminaires

#SingleInstance ignore

#NoEnv
SetBatchLines -1
ListLines Off

IfNotExist, %A_Temp%\##LvL2img		;	--	Working folder is created (if didn't existed before) within the Temp folder of the Windows OS
	FileCreateDir, %A_Temp%\##LvL2img	;	--	In that folder, there will be placed the programs and files needed for the GUI to work
A_WorkingDirectory = %A_Temp%\##LvL2img	;	--	Alias of the working folder
LastSelectedFolder = %A_ScriptDir%
SelectedOutputFolder = %A_ScriptDir%	;	--	Output folder
AllowClosingProgram:=1		;	--	This value is 0 while the program is on execution, but if the user insists in closing it, s/he can do it by clicking Yes in a confirmation window
ProgramReadyToBeUsed:=1	;	--	Program which just have started, or program just finished and with a clean list. With a value of 0, drag and drop is not allowed

;	--	Lines for the compiler

FileInstall, lvl2img.png, %A_WorkingDirectory%\lvl2img.png	;	--	Extraction of logo and auxiliary programs for the GUI to work
FileInstall, converter.exe, %A_WorkingDirectory%\converter.exe		;	--	converter.exe is used to convert LVL and NXP files to images

;	--	GUI creation

#include createGUI.ahk

; -- CONVERSION PROCESS

Begin:
if(LV_GetCount()=0)	;	--	Counter of files dragged and dropped to the list
{
	MsgBox, 8192, Begin conversion, No files on the list.	; 8192 = System modal: the current window has focus priority over the rest
}
else
{
	MsgBox Code pending!	;	CODE PENDING
}
return